Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarolyn MacLeod2011-05-19 14:46:31 +0000
committerCarolyn MacLeod2011-05-19 14:46:31 +0000
commit7c94a2f694ae961aae480fdde71f51ab8e37b556 (patch)
tree777ca61c225d32e8c21948095532ef1e0485c688 /bundles/org.eclipse.swt/.settings
parent20b055c325b4eb2aa32714d5ca8c9acbee9829cf (diff)
downloadeclipse.platform.swt-7c94a2f694ae961aae480fdde71f51ab8e37b556.tar.gz
eclipse.platform.swt-7c94a2f694ae961aae480fdde71f51ab8e37b556.tar.xz
eclipse.platform.swt-7c94a2f694ae961aae480fdde71f51ab8e37b556.zip
Bug 279461 - Shell does not have @noextend API tag
Diffstat (limited to 'bundles/org.eclipse.swt/.settings')
-rw-r--r--bundles/org.eclipse.swt/.settings/.api_filters9
-rw-r--r--bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs7
2 files changed, 13 insertions, 3 deletions
diff --git a/bundles/org.eclipse.swt/.settings/.api_filters b/bundles/org.eclipse.swt/.settings/.api_filters
index 573e56eaa5..49f59bb74e 100644
--- a/bundles/org.eclipse.swt/.settings/.api_filters
+++ b/bundles/org.eclipse.swt/.settings/.api_filters
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?xml version="1.0" encoding="UTF-8"?>
<component id="org.eclipse.swt" version="2">
<resource path="Eclipse SWT Accessibility/cocoa/org/eclipse/swt/accessibility/Accessible.java" type="org.eclipse.swt.accessibility.Accessible">
<filter id="643842064">
@@ -734,4 +734,11 @@
</message_arguments>
</filter>
</resource>
+<resource path="Eclipse SWT/win32/org/eclipse/swt/widgets/Shell.java" type="org.eclipse.swt.widgets.Shell">
+<filter id="336744520">
+<message_arguments>
+<message_argument value="org.eclipse.swt.widgets.Shell"/>
+</message_arguments>
+</filter>
+</resource>
</component>
diff --git a/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs b/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
index 7ca308980b..da97d421c0 100644
--- a/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
+++ b/bundles/org.eclipse.swt/.settings/org.eclipse.pde.api.tools.prefs
@@ -1,4 +1,4 @@
-#Fri Oct 15 09:06:43 EDT 2010
+#Thu May 19 10:34:03 EDT 2011
ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
@@ -8,6 +8,9 @@ API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Error
API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Error
API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
@@ -81,7 +84,7 @@ TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
-UNUSED_PROBLEM_FILTERS=Warning
+UNUSED_PROBLEM_FILTERS=Ignore
automatically_removed_unused_problem_filters=false
eclipse.preferences.version=1
incompatible_api_component_version=Error

Back to the top